%global debug_package %{nil}

Summary:	OpenCloudOS Server Tools
Name:		opencloudos-tools		
Version:	4.1
Release:	1%{?dist}
License:	GPLv2
URL:		https://www.tencent.com
Source0:	%{name}-v%{version}.tar.gz
Source1:        https://git.woa.com/tlinux/TSS/initrd/uploads/tags/2.0-5.4.119-19-0008/initrd-2.0-5.4.119-19-0008.img
Source2:        https://git.woa.com/tlinux/TSS/initrd/uploads/tags/2.0-5.4.119-19-0008/vmlinuz-5.4.119-19-0008
Requires:	virt-what
Requires:       bash-completion

%description
This utility allows querying and changing settings for TencentOS server
such as system information, upgrade, fixing system problems, backup and recover system.
It provides ocos command and you can type "ocos" to query details.

%prep
%autosetup -n %{name}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}/
mkdir -p %{buildroot}/usr/lib/opencloudos-tools/
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/

install -m 755 %{SOURCE1} %{buildroot}/usr/lib/opencloudos-tools/initrd-backup-recovery.img
install -m 755 %{SOURCE2} %{buildroot}/usr/lib/opencloudos-tools/vmlinuz-backup-recovery
install -m 755 ocos %{buildroot}%{_sbindir}/ocos
ln -s ocos %{buildroot}%{_sbindir}/oc
ln -s ocos %{buildroot}%{_sbindir}/oc-ops

install -m 644 completions/oc-ops %{buildroot}%{_datadir}/bash-completion/completions/
install -m 644 completions/ocos %{buildroot}%{_datadir}/bash-completion/completions/
ln -s ocos %{buildroot}%{_datadir}/bash-completion/completions/oc

for file in opencloudos_super_tool.py ocos-analyze-performance.sh ocos-backup.sh \
ocos-check-health.sh ocos-lib.sh treediff.pl; do
        install -m 755 $file %{buildroot}/usr/lib/opencloudos-tools/
done

install -m 644 ocos-comp.txt %{buildroot}/usr/lib/opencloudos-tools/
cp -a ops %{buildroot}/usr/lib/opencloudos-tools/
chmod -R 755 %{buildroot}/usr/lib/opencloudos-tools/ops

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config %attr(0755,root,root) %{_sbindir}/ocos
%config %attr(0755,root,root) /usr/lib/opencloudos-tools/
%{_sbindir}/oc
%{_sbindir}/oc-ops
%{_datadir}/bash-completion/completions/*

%changelog
* Tue Mar 14 2023 Yi Lin <nilusyi@tencent.com> - 4.1-1
- opencloudos-tools init.
